> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/farm-settings/licensing/activate.md).

# Activate

## Activate

> Activate Parallels RAS using a valid license key. Also allows to activate Parallels RAS as a trial version.> \
> Trial version will be activated if the key is empty.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/License/activate":{"post":{"tags":["1-Farm settings//Licensing"],"summary":"Activate","description":"Activate Parallels RAS using a valid license key. Also allows to activate Parallels RAS as a trial version.\r\nTrial version will be activated if the key is empty.","operationId":"d8222fac-760d-433a-9e58-10c1927b9e05","requestBody":{"description":"License settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/InvokeLicActivate"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"InvokeLicActivate":{"required":["email","password"],"type":"object","properties":{"email":{"type":"string","description":"<para type=\"description\">The email address you use to log in to Parallels My Account.</para>","nullable":true},"password":{"type":"string","description":"<para type=\"description\">Your Parallels account password.</para>","nullable":true},"key":{"type":"string","description":"<para type=\"description\">Parallels RAS License Key. The key must be registered in Parallels My Account.</para>\r\n<para type=\"description\">To activate Parallels RAS as a trial version, omit this parameter.</para>","nullable":true},"macAddress":{"type":"string","description":"<para type=\"description\">Bind the license activation with a specific MAC address.</para>\r\n<para type=\"description\">The MAC address should be in the format XX-XX-XX-XX-XX-XX.</para>\r\n<para type=\"description\">To select a MAC address automatically, omit this parameter.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">To invoke license activation</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/farm-settings/licensing/activate.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
